--- Kleiner

local function SonicModelExists()
    if SonicSD and file.Exists("models/weapons/c_sonicsd.mdl", "GAME") then
        return true
    end
    return false
end

local T = {}

T.EnableClassicDoors = true

T.Base = "base"
T.Name = "Model Pack 4 TARDIS (2005)"
T.ID = "10boxold"
T.Interior = {
    Model = "models/FuzzyLeo/RandomExteriors/Interiors/old10boxinterior.mdl",
    IdleSound = {
        {
            path = "ambient/machines/lab_loop1.wav",
            volume = 0.5
        },
    },
    Light = {
        color = Color(64, 255, 255),
        warncolor = Color(255, 60, 60),
        pos = Vector(0, 0, 157),
        brightness = 0.6,
        radius = 2,
        nopower = true
    },
    Lights = {
        {
            color = Color(255, 214, 126),
            warncolor = Color(255, 60, 60),
            pos = Vector(-160, -100, 130),
            brightness = 0.6,
            nopower = false
        },
        {
            color = Color(255, 214, 126),
            warncolor = Color(255, 60, 60),
            pos = Vector(160, 100, 130),
            brightness = 0.6,
            nopower = false
        },
    },
    Lamps = {
        lamp1 = {
            color = Color(255, 214, 126),
            texture = "effects/flashlight/soft",
            fov = 100,
            distance = 540,
            brightness = 0.6,
            pos = Vector(15, -15, 185),
            ang = Angle(0, -33, 0),
            nopower = false,
            shadows = false,
            sprite = false,
            warn = {
                -- same list of options available
                sprite_brightness = 0,
                color = Color(255, 60, 60),
            },
        },
        lamp2 = {
            color = Color(255, 214, 126),
            texture = "effects/flashlight/soft",
            fov = 100,
            distance = 540,
            brightness = 0.6,
            pos = Vector(-15, 15, 185),
            ang = Angle(0, 147, 0),
            nopower = false,
            shadows = false,
            sprite = false,
            warn = {
                -- same list of options available
                sprite_brightness = 0,
                color = Color(255, 60, 60),
            },
        },
    },
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(0, 308, 68),
        ang = Angle(-0, -90, 0),
        width = 61,
        height = 105,
        thickness = 45,
        inverted = false,
    },
    Fallback = {
        pos = Vector(0, 263, 35),
        ang = Angle(0, 230, 0)
    },
    Screens = {
        {
            pos = Vector(154, 212, 49.8),
            ang = Angle(0, -53, 82.5),
            width = 245,
            height = 205.5,
            gui_rows = 2,
            power_off_black = true
        }
    },
    Scanners = {
        {
            mat = "models/fuzzyleo/tardisscanner",
            width = 1024,
            height = 1024,
            ang = Angle(0,0,0),
            fov = 90,
        }
    },
    ExitDistance = 1000,
    Sounds={
        Door={
			enabled=true,
			open="drmatt/tardis/door_open.wav",
			close="drmatt/tardis/door_close.wav",
            locked = "drmatt/tardis/door_locked.wav"
		},w
	},
    Sequences = "kleiner_sequence",
    Parts = {
        intdoor = {
            model="models/FuzzyLeo/RandomExteriors/old10tardisdoorsint.mdl",
            pos=Vector(0, 288, 19.45),
            ang = Angle(0,90,0),
            scale = 1.15
        },
        door = {
            posoffset=Vector(0, 0, 0),
        },
        random_doorhitbox            =   {pos = Vector(0, 320, 80),                     ang = Angle(-0, 0, 90),          scale =3               },
        random_manualflight            =   {pos = Vector(0, 37, 84),                     ang = Angle(0, 0, 0),                        },
        random_demat            =   {pos = Vector(0, -35, 87),                     ang = Angle(0, 0, 0),                        },
        random            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        random            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        random            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        random            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        random            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        random            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        random            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },
        random            =   {pos = Vector(0, 0, 0),                     ang = Angle(0, 0, 0),                        },

    },
    Controls = {
        random_demat            = "teleport_double",
        kleiner_flighthitbox         = "flight",
        default_screen              = nil,
        kleiner_screenstogglehitbox        = "toggle_screens",
        kleiner_doorlockhitbox         = "doorlock",
        kleiner_enginereleasehitbox       = "engine_release",
        random_doorhitbox          = "door",
        kleiner_powerhitbox          = "power",
        kleiner_manualcoords            = "destination",
        kleiner_hadshitbox                = "hads",
        kleiner_coordshitbox          = "coordinates",
        kleiner_repair         = "repair",
        kleiner_redecorate    = "redecorate",
        kleiner_handbrake           = "handbrake",
        kleiner_radio          = "music",
        kleiner_fastreturn            = "fastreturn",
        kleiner_physlock            = "physlock",
        kleiner_isomorphic          = "isomorphic",
        kleiner_cloak         = "cloak",
        kleiner_longflighttoggle    = "vortex_flight",
        default_dematcircuit        = nil,
        kleiner_sonicdispense      = "sonic_dispenser",
        default_sonic_inserted      = SonicModelExists() and "sonic_dispenser",
        random_manualflight              = "thirdperson",
        default_atomaccel           = "spin_toggle",
        default_directionalpointer  = "spin_switch",



    },
    IntDoorAnimationTime = 0.4,
    Tips = {},
    -- Interior.Tips are deprecated; should be deleted when the extensions update and
    -- replace with Interior.CustomTips, Interior.PartTips and Interior.TipSettings
    TipSettings = {
        view_range_min = 70,
        view_range_max = 90,
    },
    CustomTips = {
        --{ text = "Example", pos = Vector(0, 0, 0) },
    },
    PartTips = {

        random_demat            =   {pos = Vector(0, -35, 87), down = true},
        kleiner_coordshitbox            =   {pos = Vector(150, 160, 31), down = true},
        random_manualflight            =   {pos = Vector(0, 37, 84), down = true},
        kleiner_securityhitbox            =   {pos = Vector(408, -30, 36), down = true},
        kleiner_flighthitbox            =   {pos = Vector(97, 224, 71.5), down = true},
        kleiner_screenstogglehitbox            =   {pos = Vector(154, 224.5, 40), down = true},
        kleiner_doorlockhitbox            =   {pos = Vector(152, 221, 56), down = true},
        kleiner_enginereleasehitbox            =   {pos = Vector(147.5, 171.6, 10), down = true},
        kleiner_doortogglehitbox            =   {pos = Vector(152.5, 196, 58), down = true},
        kleiner_powerhitbox            =   {pos = Vector(15.4, 167.4, 48), down = true},
        kleiner_manualcoords            =   {pos = Vector(159, 230.5, 66.3), down = true},
        kleiner_hadshitbox            =   {pos = Vector(32.4, 162.4, 31.5), down = true},
        kleiner_repair            =   {pos = Vector(16.5, 148, 43), down = true},
        kleiner_redecorate            =   {pos = Vector(77, 225.5, 54), down = true},
        kleiner_radio            =   {pos = Vector(416, 54, 62), down = true},
        kleiner_fastreturn            =   {pos = Vector(151, 210.5, 55), down = true},
        kleiner_handbrake            =   {pos = Vector(26, 146.5, 30), down = true},
        kleiner_physlock            =   {pos = Vector(77, 225.5, 61), down = true},
        kleiner_isomorphic            =   {pos = Vector(24, 164, 41), down = true},
        kleiner_float            =   {pos = Vector(109, 225.5, 65), down = true},
        kleiner_cloak            =   {pos = Vector(77, 225.5, 44.6), down = true},
        kleiner_longflighttoggle            =   {pos = Vector(54.7, 223.5, 13.3), down = true},
        kleiner_sonicdispense            =   {pos = Vector(407.185, 240.996, 21.524), down = true},
    },
    LightOverride = {
        basebrightness = 0.03 ,
        nopowerbrightness = 0.0025
    },
    Seats = {
        {
            pos = Vector(130, -96, -30),
            ang = Angle(0, 40, 0)
        },
        {
            pos = Vector(125, 55, -30),
            ang = Angle(0, 135, 0)
        }
    },
    BreakdownEffectPos = Vector(114, 215, 40),
}

T.Exterior = {
    Model="models/FuzzyLeo/RandomExteriors/old10tardisframe.mdl",
    DoorAnimationTime = 0.4,
    Parts = {
        door = {
            Model="models/FuzzyLeo/RandomExteriors/old10tardisdoors.mdl",
            posoffset=Vector(-25, 0, -46),
        },
        vortex = {
            model = "models/Doctor_Who/vortex.mdl",
            pos = Vector(0,0,50),
            ang = Angle(0,0,0),
            scale =10
        },
    },
    Sounds = {
        Teleport = {
            demat = "drmatt/tardis/demat.wav",
            mat = "drmatt/tardis/mat.wav",
            mat_fast = "ambient/machines/teleport3.wav",
            mat_damaged_fast = "p00gie/tardis/mat_damaged_fast.wav",
            fullflight = "drmatt/tardis/full.wav",
            interrupt = "drmatt/tardis/repairfinish.wav",
        },
        Spawn = "ambient/alarms/warningbell1.wav",
        RepairFinish = "drmatt/tardis/repairfinish.wav",
        Delete = "friends/friend_online.wav",
        Door={
			enabled=true,
			open="drmatt/tardis/door_open.wav",
			close="drmatt/tardis/door_close.wav",
            locked = "drmatt/tardis/door_locked.wav"
		},
        FlightLoop = "drmatt/tardis/flight_loop.wav",
        FlightLoopDamaged = "drmatt/tardis/flight_loop_damaged.wav",
    },
    ProjectedLight = {
        --color = Color(r,g,b), --Base color. Will use main interior light if not set.
        --warncolor = Color(r,g,b), --Warning color. Will use main interior warn color if not set.
        brightness = 0.1, --Light's brightness
        vertfov = 80,
        horizfov = 50, --vertical and horizontal field of view of the light. Will default to portal height and width.
        farz = 750, --FarZ property of the light. Determines how far the light projects.]]
        offset = Vector(-16.5, 0, 40), --Offset from box origin
        texture = "effects/flashlight/square" --Texture the projected light will use. You can get these from the Lamp tool.
    },
    Light={
        enabled=true,
        pos=Vector(0, 0, 113),
    },
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(25, 0, 46),
        ang = Angle(0, 0, 0),
        width = 41,
        height = 81,
        thickness = 35,
        inverted = true,
    },
}


TARDIS:AddInterior(T)
